xAuxFunArgs | R Documentation

## Function to assign (and evaluate) arguments with default values for a given function

### Description

`xAuxFunArgs` is supposed to assign (and evaluate) arguments with default values for a given function.

### Usage

    xAuxFunArgs(fun, action = NULL, verbose = TRUE)

### Arguments

`fun` | character specifying the name of the function
`action` | logical to indicate whether the function will act as it should be (with assigned values in the current environment). By default, it sets to NULL, return a string specifying the assignment to be evalated
`verbose` | logical to indicate whether the messages will be displayed in the screen. By default, it sets to TRUE for display

### Value

If action is logical, a list containing arguments and their default values. If action is NULL, a string specifying the assignment to be evalated.

### Note

This auxiliary function is potentially useful when debugging as it frees developers from specifying default values for all arguments except those arguments of interest

### See Also

`xAuxFunArgs`

### Examples

    xAuxFunArgs(fun="xRDataLoader")